/* Draws rolled curb for urban sections

Written: April, 2003

Modified:

Point range  x15 and x16

****************************************************************************/




if _s_skew_set = ^BOC^ then
  {
      
    draw skip to x225 y225
    set plot param "~bottom curb symbology"
    mark x1 y1
    draw slope=-pavement slope for dx=1
    mark x3 y3
    draw text char = SCRB "~search text symbology"
    if _s_driveway = ^no^ then
      {
        draw dx=0 dy=("Pavement thickness" + 0.5)           /*  STANDARD 6" CURB  */
        mark x15 y15
        mark x1 y1
        draw skip to x220 y220
        set plot param "~curb symbology"
        draw slope = -pavement slope for dx=.3
        draw dx=0.2 dy=0.45
        draw to x15 y15
        draw text char = TOC "~search text symbology"
      }
    else
      {
        draw dx=0 dy=("Pavement thickness" + (2/12))        /*  LIP CURB FOR DRIVEWAY  */
        mark x15 y15
        mark x1 y1
        draw skip to x220 y220
        set plot param "~curb symbology"
        draw to x15 y15
        draw text char = TOC "~search text symbology"
        
      }
    
  }

