// *=========================================================*
// * The lack of the "Shapeless" key word below indicates    *
// * that the Criteria for this template was designed to     *
// * work WITH Shapes.                                       *
// *=========================================================*

// *=========================================================*
// * The "Shapeless" key word below indicates that the       *
// * Criteria for this template was designed to be work      *
// * WITHOUT Shapes.                                         *
// *=========================================================*

// *=============================================================*
// *                                                             *
// *                                                             *
// *                                                             *
// *=============================================================*



// *      MAJOR_DIVIDED      UPDATED:   4-25-2003  *
@Template MD
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope LEFT
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\variables.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\dgn_variables.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\admin.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\pavement.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\curb.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\slopes.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\driveway.x
 
    side slope RIGHT
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\admin.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\pavement.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\curb.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\median.x
              
   Shape Cluster Right_Roadway
     side slope LEFT
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\admin.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\pavement.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\curb.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\median.x
 
     side slope RIGHT
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\admin.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\pavement.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\curb.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\slopes.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\driveway.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\subroutines.x
          
#EndData
@EndTemplate


// *      MAJOR_UNDIVIDED      UPDATED:   7-15-2003  *
@Template MU
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope LEFT
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\variables.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\dgn_variables.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\admin.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\pavement.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\curb.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\slopes.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\driveway.x
 
    side slope RIGHT
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\admin.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\pavement.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\curb.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\slopes.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\driveway.x
         include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\subroutines.x
              
#EndData
@EndTemplate

// *      EXPAVE        UPDATED: 06-02-2004     *
@Template EXPAVE shapeless
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
          include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\expave.x

#EndData
@EndTemplate


// *      LABEL      UPDATED:  04-30-2003      *
@Template LABEL shapeless
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
          include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\label.x

#EndData
@EndTemplate


// *      LOW_POINT      UPDATED:  05-30-2005      *
@Template LOWPNT shapeless
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
          include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\lowpnt.x
           
     side slope RIGHT
          include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\lowpnt.x
           
#EndData
@EndTemplate


// *      PD_D           UPDATED:  10-20-2017   *
@Template PD_D shapeless
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
          include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\pgrade.x
          
#EndData
@EndTemplate

// *      Loc_UNDIVIDED           UPDATED:   10-20-2017   *
@Template Loc_UNDIVIDED shapeless
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
          include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\limits_u.x
          
     side slope right
          include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\limits_u.x
          
#EndData
@EndTemplate


// *      Loc_DIVIDED           UPDATED:   10-20-2017   *
@Template Loc_DIVIDED 
#control
#endcontrol
#Data
    Shape Cluster Left_roadway
     side slope left
          include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\limits_d.x
          
     side slope right
          include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\limits_d.x

    Shape Cluster Right_roadway
     side slope left
          include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\limits_d.x

     side slope right
          include S:\City\Public Works\Eng Services\Resources\CityWorkspace_V8i_SS4\Geopak\Criteria\limits_d.x
          
#EndData
@EndTemplate

